<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XLbmGroup StructType
 * @subpackage Structs
 */
class XLbmGroup extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * The ProcessnodeActive
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $ProcessnodeActive;
    /**
     * The Description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $Description;
    /**
     * The ProcessnodeStandby
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $ProcessnodeStandby;
    /**
     * Constructor method for XLbmGroup
     * @uses XLbmGroup::setName()
     * @uses XLbmGroup::setProcessnodeActive()
     * @uses XLbmGroup::setDescription()
     * @uses XLbmGroup::setProcessnodeStandby()
     * @param string $name
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeActive
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeStandby
     */
    public function __construct($name = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeActive = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeStandby = null)
    {
        $this
            ->setName($name)
            ->setProcessnodeActive($processnodeActive)
            ->setDescription($description)
            ->setProcessnodeStandby($processnodeStandby);
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLbmGroup
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get ProcessnodeActive value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public function getProcessnodeActive()
    {
        return $this->ProcessnodeActive;
    }
    /**
     * Set ProcessnodeActive value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeActive
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLbmGroup
     */
    public function setProcessnodeActive(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeActive = null)
    {
        $this->ProcessnodeActive = $processnodeActive;
        return $this;
    }
    /**
     * Get Description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->Description;
    }
    /**
     * Set Description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLbmGroup
     */
    public function setDescription($description = null)
    {
        $this->Description = $description;
        return $this;
    }
    /**
     * Get ProcessnodeStandby value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getProcessnodeStandby()
    {
        return isset($this->ProcessnodeStandby) ? $this->ProcessnodeStandby : null;
    }
    /**
     * Set ProcessnodeStandby value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeStandby
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLbmGroup
     */
    public function setProcessnodeStandby(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeStandby = null)
    {
        if (is_null($processnodeStandby) || (is_array($processnodeStandby) && empty($processnodeStandby))) {
            unset($this->ProcessnodeStandby);
        } else {
            $this->ProcessnodeStandby = $processnodeStandby;
        }
        return $this;
    }
}
